// CosTable.h: interface for the CCosTable class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COSTABLE_H__59E237A6_4A99_4611_9FDB_87771C930112__INCLUDED_)
#define AFX_COSTABLE_H__59E237A6_4A99_4611_9FDB_87771C930112__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//! Class representing a cosinus table.
class CCosTable  
{
public:
	//! Returns cosinus value for specified index.
	float GetCos(int index);
	CCosTable();
	//! Calculates costable from angle start to end and specified width.
	CCosTable(float start, float end, int width);
	virtual ~CCosTable();
private:
	float * m_CosTable;

};

#endif // !defined(AFX_COSTABLE_H__59E237A6_4A99_4611_9FDB_87771C930112__INCLUDED_)
