// MyAnimationDialog.cpp : implementation file
//

#include "stdafx.h"
#include "flow3d.h"
#include "MyAnimationDialog.h"
#include "Defines.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MyAnimationDialog dialog


MyAnimationDialog::MyAnimationDialog(CWnd* pParent /*=NULL*/)
	: CDialog(MyAnimationDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(MyAnimationDialog)
	m_AnimSpeed = 0;
	m_AnimType = -1;
	//}}AFX_DATA_INIT
}


void MyAnimationDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MyAnimationDialog)
	DDX_Slider(pDX, IDC_ANIMSPEEDSLIDER, m_AnimSpeed);
	DDX_Radio(pDX, IDC_GROWINGRADIO, m_AnimType);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MyAnimationDialog, CDialog)
	//{{AFX_MSG_MAP(MyAnimationDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MyAnimationDialog message handlers

void MyAnimationDialog::SetAnimSpeed(int animSpeed)
{
	m_AnimSpeed = (DEF_SPEEDSLIDER_MAX - animSpeed);
}

int MyAnimationDialog::GetAnimSpeed()
{
	return (DEF_SPEEDSLIDER_MAX - m_AnimSpeed);
}

BOOL MyAnimationDialog::OnInitDialog() 
{
	CSliderCtrl *pSpeedSlider = (CSliderCtrl *)GetDlgItem(IDC_ANIMSPEEDSLIDER);
	pSpeedSlider->SetRange(DEF_SPEEDSLIDER_MIN,DEF_SPEEDSLIDER_MAX);
	pSpeedSlider->SetTic(DEF_SPEEDSLIDER_MAX / 2);

	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void MyAnimationDialog::SetAnimType(int animType)
{
	m_AnimType = animType;
}

int MyAnimationDialog::GetAnimType()
{
	return m_AnimType;
}
