#if !defined(AFX_MYBLOCKDIALOG_H__5629F46A_39B4_4423_96BA_0FFD020180D8__INCLUDED_)
#define AFX_MYBLOCKDIALOG_H__5629F46A_39B4_4423_96BA_0FFD020180D8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyBlockDialog.h : header file
//

#include "MyMaterialDialog.h"
#include "gl/gl.h"
#include "Defines.h"

/////////////////////////////////////////////////////////////////////////////
// MyBlockDialog dialog

class MyBlockDialog : public CDialog
{
// Construction
public:
	static void InitBlockTex();
	bool GetIsTex();
	void SetIsTex(bool isTex);
	static void ReadBlTex(CString filename);
	void SetZOffs(float zOffs);
	float GetZOffs();
	MyBlockDialog(CWnd* pParent = NULL);   // standard constructor
	MyMaterialDialog m_MaterialDialog;

	static GLubyte blTex[DEF_BLTEX_HEIGHT][DEF_BLTEX_WIDTH][4];
// Dialog Data
	//{{AFX_DATA(MyBlockDialog)
	enum { IDD = IDD_BLOCKDIALOG };
	int		m_ZOffs;
	BOOL	m_IsTex;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MyBlockDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MyBlockDialog)
	afx_msg void OnMaterialButton();
	virtual BOOL OnInitDialog();
	afx_msg void OnLoadTexButton();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYBLOCKDIALOG_H__5629F46A_39B4_4423_96BA_0FFD020180D8__INCLUDED_)
