// MyHighlightDialog.cpp : implementation file
//

#include "stdafx.h"
#include "flow3d.h"
#include "MyHighlightDialog.h"
#include "Defines.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MyHighlightDialog dialog


MyHighlightDialog::MyHighlightDialog(CWnd* pParent /*=NULL*/)
	: CDialog(MyHighlightDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(MyHighlightDialog)
	m_Highlight = 0;
	//}}AFX_DATA_INIT
}


void MyHighlightDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MyHighlightDialog)
	DDX_Slider(pDX, IDC_HIGHLIGHTSLIDER, m_Highlight);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(MyHighlightDialog, CDialog)
	//{{AFX_MSG_MAP(MyHighlightDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void MyHighlightDialog::SetHighlight(float highlight)
{
	m_Highlight = (int)(highlight * DEF_HIGHLIGHTSLIDER_FACTOR);
}

float MyHighlightDialog::GetHighlight()
{
	return (float)m_Highlight / DEF_HIGHLIGHTSLIDER_FACTOR;
}

/////////////////////////////////////////////////////////////////////////////
// MyHighlightDialog message handlers

BOOL MyHighlightDialog::OnInitDialog() 
{
	CSliderCtrl * pHighLightSlider = (CSliderCtrl*)GetDlgItem( IDC_HIGHLIGHTSLIDER );
	pHighLightSlider->SetRange(DEF_HIGHLIGHTSLIDER_MIN, DEF_HIGHLIGHTSLIDER_MAX);
	pHighLightSlider->SetTic(DEF_HIGHLIGHTSLIDER_MAX/2);

	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
