#if !defined(AFX_MYHIGHLIGHTDIALOG_H__03F56934_2DF7_41A3_BF62_992273037D29__INCLUDED_)
#define AFX_MYHIGHLIGHTDIALOG_H__03F56934_2DF7_41A3_BF62_992273037D29__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyHighlightDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MyHighlightDialog dialog

//! Dialog class for specifying glossiness of streamlines.
class MyHighlightDialog : public CDialog
{
// Construction
public:
	//! Returns highlight coefficient.
	float GetHighlight();
	//! Sets highlight coefficient.
	void SetHighlight(float highLight);
	//! Standard constructor.
	MyHighlightDialog(CWnd* pParent = NULL);

// Dialog Data
	//{{AFX_DATA(MyHighlightDialog)
	enum { IDD = IDD_HIGHLIGHTDIALOG };
	int		m_Highlight;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MyHighlightDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MyHighlightDialog)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYHIGHLIGHTDIALOG_H__03F56934_2DF7_41A3_BF62_992273037D29__INCLUDED_)
