// MyPerformanceOptDialog.cpp : implementation file
//

#include "stdafx.h"
#include "flow3d.h"
#include "MyPerformanceOptDialog.h"
#include "Defines.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MyPerformanceOptDialog dialog


MyPerformanceOptDialog::MyPerformanceOptDialog(CWnd* pParent /*=NULL*/)
	: CDialog(MyPerformanceOptDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(MyPerformanceOptDialog)
	m_UseDisplayLists = FALSE;
	m_IsCorrectOrder = FALSE;
	m_MinDistPerc = 0;
	//}}AFX_DATA_INIT
}


void MyPerformanceOptDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MyPerformanceOptDialog)
	DDX_Check(pDX, IDC_DISPLAYLISTCHECK, m_UseDisplayLists);
	DDX_Check(pDX, IDC_ORDERCHECK, m_IsCorrectOrder);
	DDX_Slider(pDX, IDC_MINDISTANCESLIDER, m_MinDistPerc);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MyPerformanceOptDialog, CDialog)
	//{{AFX_MSG_MAP(MyPerformanceOptDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MyPerformanceOptDialog message handlers

bool MyPerformanceOptDialog::GetUseDisplayLists()
{
	return (m_UseDisplayLists == TRUE);
}

bool MyPerformanceOptDialog::GetIsCorrectOrder()
{
	return (m_IsCorrectOrder == TRUE);
}

void MyPerformanceOptDialog::SetIsCorrectOrder(bool isCorrectOrder)
{
	m_IsCorrectOrder = isCorrectOrder;
}

void MyPerformanceOptDialog::SetUseDisplayLists(bool useDisplayLists)
{
	m_UseDisplayLists = useDisplayLists;
}

float MyPerformanceOptDialog::GetMinDistPerc()
{
	return (float)m_MinDistPerc / DEF_MINDISTANCESLIDER_FACTOR;
}

void MyPerformanceOptDialog::SetMinDistPerc(float minDistPerc)
{
	m_MinDistPerc = (int)(minDistPerc * DEF_MINDISTANCESLIDER_FACTOR);
}

BOOL MyPerformanceOptDialog::OnInitDialog() 
{
	CSliderCtrl * pMinDistSlider = (CSliderCtrl*)GetDlgItem( IDC_MINDISTANCESLIDER );

	pMinDistSlider->SetRange(DEF_MINDISTANCESLIDER_MIN, DEF_MINDISTANCESLIDER_MAX);

	pMinDistSlider->SetTic(DEF_MINDISTANCESLIDER_MAX/2);

	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
