// MyResolutionsDialog.cpp : implementation file
//

#include "stdafx.h"
#include "flow3d.h"
#include "MyResolutionsDialog.h"
#include "Defines.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MyResolutionsDialog dialog


MyResolutionsDialog::MyResolutionsDialog(CWnd* pParent /*=NULL*/)
	: CDialog(MyResolutionsDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(MyResolutionsDialog)
	m_IsIncremential = FALSE;
	m_ResNum = 0;
	//}}AFX_DATA_INIT
}


void MyResolutionsDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MyResolutionsDialog)
	DDX_Check(pDX, IDC_INCREMENTIALCHECK, m_IsIncremential);
	DDX_Slider(pDX, IDC_RESNUMSLIDER, m_ResNum);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MyResolutionsDialog, CDialog)
	//{{AFX_MSG_MAP(MyResolutionsDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MyResolutionsDialog message handlers


bool MyResolutionsDialog::GetIsIncremential()
{
	return (m_IsIncremential==TRUE);
}

void MyResolutionsDialog::SetIsIncremential(bool isIncremential)
{
	m_IsIncremential = isIncremential;
}


void MyResolutionsDialog::SetResNum(int resNum)
{
	m_ResNum = resNum;
}

int MyResolutionsDialog::GetResNum()
{
	return m_ResNum;
}

BOOL MyResolutionsDialog::OnInitDialog() 
{
	CSliderCtrl *pResNumSlider = (CSliderCtrl *)GetDlgItem( IDC_RESNUMSLIDER );
	pResNumSlider->SetRange(DEF_RESNUMSLIDER_MIN, DEF_RESNUMSLIDER_MAX);
	pResNumSlider->SetTic(DEF_RESNUMSLIDER_MAX/2);

	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
