#if !defined(AFX_MYRESOLUTIONSDIALOG_H__FA638A4D_D952_4424_9BFA_466015D3AB50__INCLUDED_)
#define AFX_MYRESOLUTIONSDIALOG_H__FA638A4D_D952_4424_9BFA_466015D3AB50__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyResolutionsDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MyResolutionsDialog dialog

//! Dialog for specifying streamline resolution parameters.
class MyResolutionsDialog : public CDialog
{
// Construction
public:
	//! Returns streamline resolution number.
	int GetResNum();
	//! Sets streamline resolution number.
	void SetResNum(int resNum);
	//! Standard constructor.
	MyResolutionsDialog(CWnd* pParent = NULL);   // standard constructor
	//! Sets flag which indicates if streamline calculation is incremential.
	void SetIsIncremential(bool isIncremential);
	//! Returns flag which indicates if streamline calculation is incremential.
	bool GetIsIncremential();

// Dialog Data
	//{{AFX_DATA(MyResolutionsDialog)
	enum { IDD = IDD_RESOLUTIONSDIALOG };
	BOOL	m_IsIncremential;
	int		m_ResNum;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MyResolutionsDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MyResolutionsDialog)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYRESOLUTIONSDIALOG_H__FA638A4D_D952_4424_9BFA_466015D3AB50__INCLUDED_)
