// NearestNeighbour.h: interface for the CNearestNeighbour class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_NEARESTNEIGHBOUR_H__D62FAB1C_75DB_4A06_88C3_CD13BD674AE8__INCLUDED_)
#define AFX_NEARESTNEIGHBOUR_H__D62FAB1C_75DB_4A06_88C3_CD13BD674AE8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Interpolator.h"

//! A class representing a nearest-neighbour method.
/*! Nearest neighbour returns the values of the closest samplepoint
	instead of linear interpolating between several samplepoints.
*/

class CNearestNeighbour : public CInterpolator  
{
public:
	CNearestNeighbour();

	virtual ~CNearestNeighbour();
	virtual void Interpolate(CSamplePoint *sp, CPoint3D &position,CSamplePoint ** neighbour);
};

#endif // !defined(AFX_NEARESTNEIGHBOUR_H__D62FAB1C_75DB_4A06_88C3_CD13BD674AE8__INCLUDED_)
