// Sampler.cpp: implementation of the CSampler class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Flow3D.h"
#include "Sampler.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CSampler::CSampler()
{
	m_Pos.m_XPos = 0; m_Pos.m_YPos = 0; m_Pos.m_ZPos = 0;
	m_AdditionalSize = 0;
}

CSampler::~CSampler()
{

}

void CSampler::SetPos(CPoint3D pos)
{
	m_Pos = pos;
}

void CSampler::SetAdditionalSize(int size)
{
	m_AdditionalSize = size;
}

int CSampler::GetAdditionalSize()
{
	return m_AdditionalSize;
}

void CSampler::SetAddInfo(float *additional)
{
	if(m_AdditionalSize > 0)
		additional[0] = m_Pos.m_XPos + m_Pos.m_YPos + m_Pos.m_ZPos;
}
