// StreamlineQueue.cpp: implementation of the CStreamlineQueue class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Flow3D.h"
#include "StreamlineQueue.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CStreamlineQueue::CStreamlineQueue()
{
}

CStreamlineQueue::~CStreamlineQueue()
{
	m_Streamlines.RemoveAll();
}

CObList * CStreamlineQueue::GetStreamlines()
{
	return &m_Streamlines;
}

CStreamline * CStreamlineQueue::Pop()
{
	CStreamline *result = (CStreamline *)m_Streamlines.GetHead();
	m_Streamlines.RemoveHead();
	return result;
}

void CStreamlineQueue::Push(CStreamline *streamline)
{
	m_Streamlines.AddTail(streamline);
}

bool CStreamlineQueue::IsEmpty()
{
	return !(m_Streamlines.IsEmpty()==0);
}
