#if !defined(AFX_MYANIMATIONDIALOG_H__9B3F1D45_401D_41B3_86EF_07EDD48E4272__INCLUDED_)
#define AFX_MYANIMATIONDIALOG_H__9B3F1D45_401D_41B3_86EF_07EDD48E4272__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyAnimationDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MyAnimationDialog dialog

//! Dialog for setting animation options.
class MyAnimationDialog : public CDialog
{
// Construction
public:
	//! Returns animation type.
	int GetAnimType();
	//! Sets animation type.
	void SetAnimType(int animType);
	//! Returns animation speed.
	int GetAnimSpeed();
	//! Sets animation speed.
	void SetAnimSpeed(int animSpeed);
	MyAnimationDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(MyAnimationDialog)
	enum { IDD = IDD_ANIMATIONDIALOG };
	int		m_AnimSpeed;
	int		m_AnimType;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MyAnimationDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MyAnimationDialog)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYANIMATIONDIALOG_H__9B3F1D45_401D_41B3_86EF_07EDD48E4272__INCLUDED_)
