// MyDiffuseCorrectionDialog.cpp : implementation file
//

#include "stdafx.h"
#include "flow3d.h"
#include "MyDiffuseCorrectionDialog.h"
#include "Defines.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MyDiffuseCorrectionDialog dialog


MyDiffuseCorrectionDialog::MyDiffuseCorrectionDialog(CWnd* pParent /*=NULL*/)
	: CDialog(MyDiffuseCorrectionDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(MyDiffuseCorrectionDialog)
	m_DiffuseCorrection = 0;
	//}}AFX_DATA_INIT
}


void MyDiffuseCorrectionDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MyDiffuseCorrectionDialog)
	DDX_Slider(pDX, IDC_DIFFUSECORRSLIDER, m_DiffuseCorrection);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MyDiffuseCorrectionDialog, CDialog)
	//{{AFX_MSG_MAP(MyDiffuseCorrectionDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void MyDiffuseCorrectionDialog::SetDiffuseCorr(float diffuseCorr)
{
		m_DiffuseCorrection = (int)(diffuseCorr * (float)DEF_DIFFUSECORRSLIDER_FACTOR);
}

float MyDiffuseCorrectionDialog::GetDiffuseCorr()
{
	return (float)m_DiffuseCorrection / DEF_DIFFUSECORRSLIDER_FACTOR;
}

/////////////////////////////////////////////////////////////////////////////
// MyDiffuseCorrectionDialog message handlers

BOOL MyDiffuseCorrectionDialog::OnInitDialog() 
{
	CSliderCtrl * pDiffuseCorrSlider = (CSliderCtrl*)GetDlgItem( IDC_DIFFUSECORRSLIDER );
	pDiffuseCorrSlider->SetRange(DEF_DIFFUSECORRSLIDER_MIN, DEF_DIFFUSECORRSLIDER_MAX);
	pDiffuseCorrSlider->SetTic(DEF_DIFFUSECORRSLIDER_MAX/2);

	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
