#if !defined(AFX_MYDIFFUSECORRECTIONDIALOG_H__D97ACD5A_82A2_4391_8AB1_E672A574DD7F__INCLUDED_)
#define AFX_MYDIFFUSECORRECTIONDIALOG_H__D97ACD5A_82A2_4391_8AB1_E672A574DD7F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyDiffuseCorrectionDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MyDiffuseCorrectionDialog dialog

//! Dialog class for specifying diffuse color component correction value.
/*!
	For certain reasons the diffuse color component of illuminated
	streamlines is too bright, therefore it should be corrected.
*/
class MyDiffuseCorrectionDialog : public CDialog
{
// Construction
public:
	//! Returns diffuse correction color.
	float GetDiffuseCorr();
	//! Sets diffuse correction color.
	void SetDiffuseCorr(float diffuseCorr);
	MyDiffuseCorrectionDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(MyDiffuseCorrectionDialog)
	enum { IDD = IDD_DIFFUSECORRECTIONDIALOG };
	int		m_DiffuseCorrection;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MyDiffuseCorrectionDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MyDiffuseCorrectionDialog)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYDIFFUSECORRECTIONDIALOG_H__D97ACD5A_82A2_4391_8AB1_E672A574DD7F__INCLUDED_)
