// MyOpacityDialog.cpp : implementation file
//

#include "stdafx.h"
#include "flow3d.h"
#include "MyOpacityDialog.h"
#include "Defines.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MyOpacityDialog dialog


MyOpacityDialog::MyOpacityDialog(CWnd* pParent /*=NULL*/)
	: CDialog(MyOpacityDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(MyOpacityDialog)
	m_Opacity = 0;
	//}}AFX_DATA_INIT
}


void MyOpacityDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MyOpacityDialog)
	DDX_Slider(pDX, IDC_OPACITYSLIDER, m_Opacity);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MyOpacityDialog, CDialog)
	//{{AFX_MSG_MAP(MyOpacityDialog)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

GLubyte MyOpacityDialog::GetOpacity()
{
	return (GLubyte)m_Opacity;
}

void MyOpacityDialog::SetOpacity(GLubyte opacity)
{
	m_Opacity = opacity;
}
/////////////////////////////////////////////////////////////////////////////
// MyOpacityDialog message handlers

BOOL MyOpacityDialog::OnInitDialog() 
{
	CSliderCtrl *pOpacitySlider = (CSliderCtrl *)GetDlgItem( IDC_OPACITYSLIDER );
	pOpacitySlider->SetRange(DEF_OPACITYSLIDER_MIN, DEF_OPACITYSLIDER_MAX);
	pOpacitySlider->SetTic(DEF_OPACITYSLIDER_MAX/2);

	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
