#if !defined(AFX_MYOPACITYDIALOG_H__EF8FFBE2_CDC7_45A1_8EEF_94FB3F7FBE98__INCLUDED_)
#define AFX_MYOPACITYDIALOG_H__EF8FFBE2_CDC7_45A1_8EEF_94FB3F7FBE98__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyOpacityDialog.h : header file
//
#include "gl/gl.h"

/////////////////////////////////////////////////////////////////////////////
// MyOpacityDialog dialog

//! Dialog class for specifying opacity of streamlines.
class MyOpacityDialog : public CDialog
{
// Construction
public:
	//! Standard contructor.
	MyOpacityDialog(CWnd* pParent = NULL);   // standard constructor
	//! Returns streamline opacity.
	GLubyte GetOpacity();
	//! Sets streamline opacity.
	void SetOpacity(GLubyte opacity);
// Dialog Data
	//{{AFX_DATA(MyOpacityDialog)
	enum { IDD = IDD_OPACITYDIALOG };
	int		m_Opacity;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MyOpacityDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MyOpacityDialog)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYOPACITYDIALOG_H__EF8FFBE2_CDC7_45A1_8EEF_94FB3F7FBE98__INCLUDED_)
