#if !defined(AFX_MYPERFORMANCEOPTDIALOG_H__8BAB7DFF_E653_449A_BED8_466367B2736B__INCLUDED_)
#define AFX_MYPERFORMANCEOPTDIALOG_H__8BAB7DFF_E653_449A_BED8_466367B2736B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyPerformanceOptDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MyPerformanceOptDialog dialog

//! Dialog class for specifying performance parameters.
class MyPerformanceOptDialog : public CDialog
{
// Construction
public:
	//! Sets minimal rendering distance in percent of field x-range.
	void SetMinDistPerc(float minDistPerc);
	//! Returns minimal rendering distance.
	float GetMinDistPerc();
	//! Set flag which indicates if display lists are used.
	void SetUseDisplayLists(bool useDisplayLists);
	//! Set flag which indicates if correct rendering order is used.
	void SetIsCorrectOrder(bool isCorrectOrder);
	//! Returns flag which indicates if correct rendering order is used.
	bool GetIsCorrectOrder();
	//! Returns flag which indicates if display lists are used.
	bool GetUseDisplayLists();
	//! Standard constructor.
	MyPerformanceOptDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(MyPerformanceOptDialog)
	enum { IDD = IDD_PERFORMANCEOPTDIALOG };
	BOOL	m_UseDisplayLists;
	BOOL	m_IsCorrectOrder;
	int		m_MinDistPerc;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MyPerformanceOptDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MyPerformanceOptDialog)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYPERFORMANCEOPTDIALOG_H__8BAB7DFF_E653_449A_BED8_466367B2736B__INCLUDED_)
