// MyRegPropDialog.cpp : implementation file
//

#include "stdafx.h"
#include "flow3d.h"
#include "MyRegPropDialog.h"
#include "Defines.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MyRegPropDialog dialog


MyRegPropDialog::MyRegPropDialog(CWnd* pParent /*=NULL*/)
	: CDialog(MyRegPropDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(MyRegPropDialog)
	m_Res = 0;
	m_LineWidth = 0;
	//}}AFX_DATA_INIT
}


void MyRegPropDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MyRegPropDialog)
	DDX_Slider(pDX, IDC_RESSLIDER, m_Res);
	DDX_Slider(pDX, IDC_LINEWIDTHSLIDER, m_LineWidth);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MyRegPropDialog, CDialog)
	//{{AFX_MSG_MAP(MyRegPropDialog)
	ON_BN_CLICKED(IDC_MATERIALBUTTON, OnMaterialButton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MyRegPropDialog message handlers

int MyRegPropDialog::GetRes()
{
	return m_Res;
}

void MyRegPropDialog::SetRes(int res)
{
	m_Res = res;
}

BOOL MyRegPropDialog::OnInitDialog() 
{
	CSliderCtrl *pResSlider = (CSliderCtrl*)GetDlgItem( IDC_RESSLIDER );
	CSliderCtrl *pLineWidthSlider = (CSliderCtrl *)GetDlgItem( IDC_LINEWIDTHSLIDER);
	
	pLineWidthSlider->SetRange(DEF_LINEWIDTHSLIDER_MIN,DEF_LINEWIDTHSLIDER_MAX);
	pResSlider->SetRange(DEF_PERCENTSLIDER_MIN,DEF_PERCENTSLIDER_MAX);

	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void MyRegPropDialog::OnMaterialButton() 
{
	// TODO: Add your control notification handler code here
	m_MaterialDialog.DoModal();
}

void MyRegPropDialog::SetLineWidth(float lineWidth)
{
	m_LineWidth = (int)(lineWidth * DEF_LINEWIDTHSLIDER_FACTOR);
}

float MyRegPropDialog::GetLineWidth()
{
	return (float)m_LineWidth / (float)DEF_LINEWIDTHSLIDER_FACTOR;
}
