// MyStatisticsDialog.cpp : implementation file
//

#include "stdafx.h"
#include "flow3d.h"
#include "MyStatisticsDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// MyStatisticsDialog dialog


MyStatisticsDialog::MyStatisticsDialog(CWnd* pParent /*=NULL*/)
	: CDialog(MyStatisticsDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(MyStatisticsDialog)
	m_StreamlinesNum = 0;
	m_SamplePointsNum = 0;
	m_CalculationTime = 0;
	m_FPS = 0;
	m_DisplSamplePNum = 0;
	m_MaxXPos = 0.0f;
	m_MaxYPos = 0.0f;
	m_MaxZPos = 0.0f;
	m_MinXPos = 0.0f;
	m_MinYPos = 0.0f;
	m_MinZPos = 0.0f;
	m_XDim = 0;
	m_YDim = 0;
	m_ZDim = 0;
	m_ScalNum = 0;
	//}}AFX_DATA_INIT
}


void MyStatisticsDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(MyStatisticsDialog)
	DDX_Text(pDX, IDC_SL_NR_EDIT, m_StreamlinesNum);
	DDV_MinMaxLong(pDX, m_StreamlinesNum, 0, 2147483647);
	DDX_Text(pDX, IDC_SP_NR_EDIT, m_SamplePointsNum);
	DDV_MinMaxLong(pDX, m_SamplePointsNum, 0, 2147483647);
	DDX_Text(pDX, IDC_CALCULATIONTIME_EDIT, m_CalculationTime);
	DDV_MinMaxLong(pDX, m_CalculationTime, 0, 2147483647);
	DDX_Text(pDX, IDC_FPS_EDIT, m_FPS);
	DDV_MinMaxInt(pDX, m_FPS, 0, 2147483647);
	DDX_Text(pDX, IDC_DISPL_SP_NR_EDIT, m_DisplSamplePNum);
	DDV_MinMaxLong(pDX, m_DisplSamplePNum, 0, 2147483647);
	DDX_Text(pDX, IDC_MAXXPOS_EDIT, m_MaxXPos);
	DDX_Text(pDX, IDC_MAXYPOS_EDIT, m_MaxYPos);
	DDX_Text(pDX, IDC_MAXZPOS_EDIT, m_MaxZPos);
	DDX_Text(pDX, IDC_MINXPOS_EDIT, m_MinXPos);
	DDX_Text(pDX, IDC_MINYPOS_EDIT, m_MinYPos);
	DDX_Text(pDX, IDC_MINZPOS_EDIT, m_MinZPos);
	DDX_Text(pDX, IDC_XDIM_EDIT, m_XDim);
	DDX_Text(pDX, IDC_YDIM_EDIT, m_YDim);
	DDX_Text(pDX, IDC_ZDIM_EDIT, m_ZDim);
	DDX_Text(pDX, IDC_SCALNUM_EDIT, m_ScalNum);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(MyStatisticsDialog, CDialog)
	//{{AFX_MSG_MAP(MyStatisticsDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// MyStatisticsDialog message handlers

void MyStatisticsDialog::SetStreamlinesNum(int streamlinesNum)
{
	m_StreamlinesNum = streamlinesNum;
}

void MyStatisticsDialog::SetSamplePointsNum(long samplePointsNum)
{
	m_SamplePointsNum = samplePointsNum;
}

void MyStatisticsDialog::SetCalculationTime(long calculationTime)
{
	m_CalculationTime = calculationTime;
}

void MyStatisticsDialog::SetFPS(int fps)
{
	m_FPS = fps;
}

void MyStatisticsDialog::SetDisplSamplePNum(long displSamplePNum)
{
	m_DisplSamplePNum = displSamplePNum;
}
