#if !defined(AFX_MYSTATISTICSDIALOG_H__B8ABC17F_815F_4E8D_90D4_0D12752CBBB4__INCLUDED_)
#define AFX_MYSTATISTICSDIALOG_H__B8ABC17F_815F_4E8D_90D4_0D12752CBBB4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyStatisticsDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// MyStatisticsDialog dialog

//! Dialog class for showing statistics about the streamline calculation.
class MyStatisticsDialog : public CDialog
{
// Construction
public:
	//! Sets number of displayed sample points.
	void SetDisplSamplePNum(long displSamplePNum);
	//! Sets frames per second.
	void SetFPS(int fps);
	//! Sets calculation time.
	void SetCalculationTime(long calculationTime);
	//! Sets number of samplepoints.
	void SetSamplePointsNum(long samplePointsNum);
	//! Sets number of streamlines.
	void SetStreamlinesNum(int streamlinesNum);
	//! Standard constructor.
	MyStatisticsDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(MyStatisticsDialog)
	enum { IDD = IDD_STATISTICSDIALOG };
	int		m_StreamlinesNum;
	long	m_SamplePointsNum;
	long	m_CalculationTime;
	int		m_FPS;
	long	m_DisplSamplePNum;
	float	m_MaxXPos;
	float	m_MaxYPos;
	float	m_MaxZPos;
	float	m_MinXPos;
	float	m_MinYPos;
	float	m_MinZPos;
	int		m_XDim;
	int		m_YDim;
	int		m_ZDim;
	int		m_ScalNum;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(MyStatisticsDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(MyStatisticsDialog)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYSTATISTICSDIALOG_H__B8ABC17F_815F_4E8D_90D4_0D12752CBBB4__INCLUDED_)
