// NearestNeighbour.cpp: implementation of the CNearestNeighbour class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "Flow3D.h"
#include "NearestNeighbour.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CNearestNeighbour::CNearestNeighbour()
{
}

CNearestNeighbour::~CNearestNeighbour()
{
}

void CNearestNeighbour::Interpolate(CSamplePoint *sp, CPoint3D &position,CSamplePoint ** neighbour)
{
	int x = 0,y = 0,z = 0;
	
	if((position.m_XPos - neighbour[B_000]->GetXPos()) > 
	   (neighbour[B_001]->GetXPos() - position.m_XPos))
	{
		x = 4;
	}
	if((position.m_YPos - neighbour[B_000]->GetYPos()) > 
	   (neighbour[B_010]->GetYPos() - position.m_YPos))
	{
		y = 2;
	}
	if((position.m_ZPos - neighbour[B_000]->GetZPos()) > 
	   (neighbour[B_100]->GetZPos() - position.m_ZPos))
	{
		z = 1;
	}

	sp->SetAdditional(neighbour[x+y+z]->GetAdditional());

	sp->SetPos(position);
	sp->SetUnitVec(*neighbour[x+y+z]->GetUnitVec());
	sp->SetMagnitude(neighbour[x+y+z]->GetMagnitude());
}