// SinTable.h: interface for the CSinTable class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SINTABLE_H__514509E5_9199_4D2E_BB62_DA6AA525AA0C__INCLUDED_)
#define AFX_SINTABLE_H__514509E5_9199_4D2E_BB62_DA6AA525AA0C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

//!	Class representing a sinus table.
class CSinTable  
{
public:
	//! Returns sinus value for specified index.
	float GetSin(int index);
	CSinTable();

	//! Calculates sintable from angle start to end and specified width.
	CSinTable(float start, float end, int width);
	virtual ~CSinTable();
private:
	float * m_SinTable;
};

#endif // !defined(AFX_SINTABLE_H__514509E5_9199_4D2E_BB62_DA6AA525AA0C__INCLUDED_)
